| MissingH-1.1.0.3: Large utility library | Contents | Index
Data.Hash.MD5 |
Portability | portable
Stability | provisional
Maintainer | Ian Lynagh <igloo@earth.li>
Description
Generation of MD5sums Written by Ian Lynagh, igloo@earth.li
Synopsis
md5 :: MD5 a => a -> ABCD
md5s :: MD5 a => a -> String
md5i :: MD5 a => a -> Integer
class MD5 a where
get_next :: a -> ([Word32], Int, a)
len_pad :: Zord64 -> a -> a
finished :: a -> Bool
newtype ABCD = ABCD (Word32, Word32, Word32, Word32)
type Zord64 = Word64
newtype Str = Str String
newtype BoolList = BoolList [Bool]
newtype WordList = WordList ([Word32], Zord64)
Documentation
md5 :: MD5 a => a -> ABCD
The simplest function, gives you the MD5 of a string as 4-tuple of 32bit words.
md5s :: MD5 a => a -> String
Returns a hex number ala the md5sum program.
md5i :: MD5 a => a -> Integer
Returns an integer equivalent to hex number from `md5s`.
class MD5 a where
Anything we want to work out the MD5 of must be an instance of class MD5
Methods
get_next :: a -> ([Word32], Int, a)
len_pad :: Zord64 -> a -> a
finished :: a -> Bool
Instances
MD5 WordList |
MD5 BoolList |
MD5 Str |
newtype ABCD
Constructors
ABCD (Word32, Word32, Word32, Word32) |
Instances
Eq ABCD |
Num ABCD |
Show ABCD |
type Zord64 = Word64
newtype Str
Constructors
Str String |
Instances
MD5 Str |
newtype BoolList
Constructors
BoolList [Bool] |
Instances
MD5 BoolList |
newtype WordList
Constructors
WordList ([Word32], Zord64) |
Instances
MD5 WordList |
Produced by Haddock version 2.7.2